Eclipse Platform Release 3.7

## org.eclipse.ui.editors.text
Interface ILocationProvider

    public interface ILocationProvider

This class gets the location for a given object.

In order to provided backward compatibility for clients of `ILocationProvider`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `ILocationProviderExtension` since version 3.3 allowing to get the location as `URI`.

Since:
  3.0
See Also:
  `ILocationProviderExtension`

Method Summary
`IPath` `getPath(Object element)` Returns the location of the given object or `null`.

Method Detail

### getPath

    IPath getPath(Object element)

  Returns the location of the given object or `null`.

  The provided location is either a full path of a workspace resource or an absolute path in the local file system.

  Parameters:
    `element` - the object for which to get the location
  Returns:
    the location of the given object or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.